Sales History API Documentation
Welcome to Vehicle Databases API's Documentation
Sales History
GETJSON ResponseOverview
Our Vehicles Sales History API offers a comprehensive solution for uncovering the sales history of a particular vehicle. Whether it was listed on classifieds, dealerships, or auction websites.
- Coverage
- This API supports classic and modern VINS
- Support
- Works for all 5-14 characters VINs based in US region.
HTTP Request
Endpoint
GET
https://api.vehicledatabases.com/saleshistory/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/saleshistory/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 17 characters VIN number
JSON Response
The API provides valuable insights, including images of the vehicle, its sale price or current listing price, and its specifications and features at the time of sale.
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"_id": {
"$oid": "62cfea3d6165e0ca15a9b064"
},
"vin": "ABCEX1RG3LFXXXXXX",
"trim": "Se",
"year": "2017",
"make": "Ford",
"model": "Focus",
"sales_history": [
{
"post_date": "",
"data": {
"description": "",
"phone": "",
"email": "",
"seller_type": "",
"dealer_name": "",
"drivetrain": "Front wheel drive",
"transmission": "Automatic transmission",
"fuel": "Other",
"cylinders": "2.0L I4 FI DOHC 16V NF4 (4 cyl)",
"engine": "",
"odometer_km": 88195,
"odometer_mi": 54802,
"primary_damage": "",
"secondary_damage": "",
"condition": "",
"exterior_color": "",
"interior_color": "",
"interior_condition": "",
"exterior_condition": "",
"fuel_capacity": "",
"doors": "",
"features": [],
"interior_features": [],
"exterior_features": [],
"listing_id": "",
"listing_price": {
"price": "",
"retail_value": "$8,398",
"repair_cost": "$15,275",
"currency": "USD"
},
"airbags": false,
"report_url": "",
"safety": [],
"sale_status": "On Approval",
"sale_date": "Oct. 7, {year}",
"sale_document": "",
"accident_records": "",
"title_record": "",
"owner_record": "",
"images": [
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62cfea3d6165e0ca15a9b064-0-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62cfea3d6165e0ca15a9b064-1-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62cfea3d6165e0ca15a9b064-2-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62cfea3d6165e0ca15a9b064-3-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62cfea3d6165e0ca15a9b064-4-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62cfea3d6165e0ca15a9b064-5-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62cfea3d6165e0ca15a9b064-6-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62cfea3d6165e0ca15a9b064-7-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62cfea3d6165e0ca15a9b064-8-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62cfea3d6165e0ca15a9b064-9-5.jpg"
],
"technology": [],
"other": [],
"mechanical": [],
"vhr_preview": [],
"zip_code": "20613",
"country": "United States",
"state": "MD",
"city": "Brandywine",
"address": "",
"manufactured_in": "",
"fair_market_value": {
"min": "",
"max": ""
},
"keys": "",
"vehicle_type": "",
"reduced_price": false,
"is_hot": false,
"money_back_guarantee": false,
"monster_ad": false,
"special_offer": false,
"newly_listed": false,
"last_updated": "2022-04-17 16:17:52.760527+00:00"
}
},
{
"post_date": "",
"data": {
"description": "",
"phone": "",
"email": "",
"seller_type": "",
"dealer_name": "",
"drivetrain": "Front wheel drive",
"transmission": "Automatic transmission",
"fuel": "Other",
"cylinders": "2.0L I4 FI DOHC 16V NF4 (4 cyl)",
"engine": "",
"odometer_km": 88195,
"odometer_mi": 54802,
"primary_damage": "",
"secondary_damage": "",
"condition": "",
"exterior_color": "",
"interior_color": "",
"interior_condition": "",
"exterior_condition": "",
"fuel_capacity": "",
"doors": "",
"features": [],
"interior_features": [],
"exterior_features": [],
"listing_id": "",
"listing_price": {
"price": "",
"retail_value": "$8,398",
"repair_cost": "$15,275",
"currency": "USD"
},
"airbags": false,
"report_url": "",
"safety": [],
"sale_status": "On Approval",
"sale_date": "Oct. 7, {year}",
"sale_document": "",
"accident_records": "",
"title_record": "",
"owner_record": "",
"images": [
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/2/62cfef57f8558a4b15f66308-0-2.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/2/62cfef57f8558a4b15f66308-1-2.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/2/62cfef57f8558a4b15f66308-2-2.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/2/62cfef57f8558a4b15f66308-3-2.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/2/62cfef57f8558a4b15f66308-4-2.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/2/62cfef57f8558a4b15f66308-5-2.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/2/62cfef57f8558a4b15f66308-6-2.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/2/62cfef57f8558a4b15f66308-7-2.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/2/62cfef57f8558a4b15f66308-8-2.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/2/62cfef57f8558a4b15f66308-9-2.jpg"
],
"technology": [],
"other": [],
"mechanical": [],
"vhr_preview": [],
"zip_code": "20613",
"country": "United States",
"state": "MD",
"city": "Brandywine",
"address": "",
"manufactured_in": "",
"fair_market_value": {
"min": "",
"max": ""
},
"keys": "",
"vehicle_type": "",
"reduced_price": false,
"is_hot": false,
"money_back_guarantee": false,
"monster_ad": false,
"special_offer": false,
"newly_listed": false,
"last_updated": "2022-04-17 16:17:52.760527+00:00"
}
},
{
"post_date": "",
"data": {
"description": "",
"phone": "",
"email": "",
"seller_type": "Auction",
"dealer_name": "******",
"drivetrain": "Front wheel drive",
"transmission": "Automatic transmission",
"fuel": "Other",
"cylinders": "2.0L I4 FI DOHC 16V NF4 (4 cyl)",
"engine": "",
"odometer_km": 88195,
"odometer_mi": 54802,
"primary_damage": "",
"secondary_damage": "",
"condition": "",
"exterior_color": "Red",
"interior_color": "",
"interior_condition": "",
"exterior_condition": "",
"fuel_capacity": "",
"doors": "",
"features": [],
"interior_features": [],
"exterior_features": [],
"listing_id": "27907710",
"listing_price": {
"price": "",
"retail_value": "$8,398",
"repair_cost": "$15,275",
"currency": "USD"
},
"airbags": false,
"report_url": "",
"safety": [],
"sale_status": "On Approval",
"sale_date": "Oct. 7, {year}",
"sale_document": "",
"accident_records": "",
"title_record": "",
"owner_record": "",
"images": [
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62d10412b15fbb88f32fffde-0-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62d10412b15fbb88f32fffde-1-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62d10412b15fbb88f32fffde-2-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62d10412b15fbb88f32fffde-3-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62d10412b15fbb88f32fffde-4-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62d10412b15fbb88f32fffde-5-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62d10412b15fbb88f32fffde-6-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62d10412b15fbb88f32fffde-7-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62d10412b15fbb88f32fffde-8-5.jpg",
"https://vhr.nyc3.cdn.digitaloceanspaces.com/sales-history/2017/Ford/Focus/{vin}/Oct.-7-{year}/5/62d10412b15fbb88f32fffde-9-5.jpg"
],
"technology": [],
"other": [],
"mechanical": [],
"vhr_preview": [],
"zip_code": "20613",
"country": "United States",
"state": "MD",
"city": "Brandywine",
"address": "MD - Brandywine (20613)",
"manufactured_in": "",
"fair_market_value": {
"min": "",
"max": ""
},
"keys": "",
"vehicle_type": "Sedan 4 door",
"reduced_price": false,
"is_hot": false,
"money_back_guarantee": false,
"monster_ad": false,
"special_offer": false,
"newly_listed": false,
"last_updated": "2022-04-17 16:17:52.760527+00:00"
}
}
]
},
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
CodeDescriptionResolution
400Record(s) were not found for this vehicle.Verify the VIN is correct or try a different vehicle.
401Access denied due to invalid subscription x-authkey.Provide a valid API x-authkey for an active subscription.
422Too many requestsReduce request frequency to comply with rate limits.
404API not foundCheck the API endpoint URL.
500BlankServer error. Contact support if the issue persists.